Subject: Re: [PATCH] net: deadlock during net device unregistration

From: [email-masked] (Eric W. Biederman)
Date: Thu, 02 Oct 2008 17:41:34 -0700

Benjamin Thery <[email-masked]> writes:

> This patch proposes to replace the rtnl_unlock() call in 
> linkwatch_event() by __rtnl_unlock(). The difference between the two
> routines being that __rtnl_unlock() will not call netdev_run_todo()
> after it unlocks rtnl_mutex.
>
> This is to fix a "deadlock" we observed when unregistering a net device.

Thanks for tracking this I just started seeing this a few days ago, and
before I reach the point of tracking it down you are in the process
of fixing it ;)

Eric